import logging
import os
import time

from bottle import route, run, response

logging.basicConfig(level=logging.DEBUG)

def should_crash():
    elapsed_time = time.time() - start_time
    if elapsed_time > crash_after:
        return True
    else:
        return False

@route("/")
def hello():
    hostname = os.uname()[1]
    response_str = "Hi, my name is %s and I'm a crashy app...\n" % hostname
    if should_crash():
        crashed_ago = time.time() - start_time - crash_after
        response_str += "I crashed %.2f seconds ago, sorry about that :(\n" % crashed_ago
        response.status = 500
    else:
        response_str += "But I didn't crash... yet :D\n"
        response.status = 200
    return response_str


@route("/health")
def health():
    if should_crash():
        response.status = 500
        return "500 Internal Server Error\n"
    else:
        response.status = 200
        return "200 OK\n"


crash_after = float(os.getenv("CRASH_AFTER", "inf"))
start_time = time.time()

run(host="0.0.0.0", port=80, server="paste")
