import logging
import os
import random
import time

from bottle import route, run, response

logging.basicConfig(level=logging.DEBUG)

def is_ready():
    elapsed_time = time.time() - start_time
    if elapsed_time > ready_after:
        return True
    else:
        return False

@route("/")
def hello():
    hostname = os.uname()[1]
    response_str = "Hi, my name is %s and I'm a lazy app...\n" % hostname
    if is_ready():
        response_str += "But I'm finally ready! :)\n"
        response.status = 200
    else:
        time_to_ready = ready_after - (time.time() - start_time)
        response_str += "Getting ready... %.2f more seconds please :D\n" % time_to_ready
        response.status = 500
    return response_str


@route("/health")
def health():
    if is_ready():
        response.status = 200
        return "200 OK\n"
    else:
        response.status = 500
        return "500 Internal Server Error\n"


ready_after_max = float(os.getenv("READY_AFTER_MAX", "0"))
ready_after = random.uniform(0, ready_after_max)
start_time = time.time()

run(host="0.0.0.0", port=80, server="paste")
